'use strict';

function _interopDefault (ex) { return 'default' in ex ? ex['default'] : ex; }

var rollupPluginutils = require('rollup-pluginutils');
var istanbul = _interopDefault(require('istanbul'));

function index () {
  var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var filter = rollupPluginutils.createFilter(options.include, options.exclude);

  return {
    transform: function transform(code, id) {
      if (!filter(id)) return;

      var instrumenter = new (options.instrumenter || istanbul).Instrumenter(options.instrumenterConfig || { esModules: true });

      code = instrumenter.instrumentSync(code, id);

      return {
        code: code,
        map: { mappings: '' }
      };
    }
  };
}

module.exports = index;