import { createFilter } from 'rollup-pluginutils';
import istanbul from 'istanbul';

function index () {
  var options = arguments.length <= 0 || arguments[0] === undefined ? {} : arguments[0];

  var filter = createFilter(options.include, options.exclude);

  return {
    transform: function transform(code, id) {
      if (!filter(id)) return;

      var instrumenter = new (options.instrumenter || istanbul).Instrumenter(options.instrumenterConfig || { esModules: true });

      code = instrumenter.instrumentSync(code, id);

      return {
        code: code,
        map: { mappings: '' }
      };
    }
  };
}

export default index;